[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1064 - in glibc-package/trunk/debian: . patches



Author: schizo
Date: 2005-12-17 15:29:13 +0000 (Sat, 17 Dec 2005)
New Revision: 1064

Added:
   glibc-package/trunk/debian/patches/amd64-semtrywait-weakalias.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
  * Replace amd64 sem_trywait patch from Kurt Roeckx's NMU with
    fix from upstream glibc CVS (Closes: #339389).


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-12-17 15:14:53 UTC (rev 1063)
+++ glibc-package/trunk/debian/changelog	2005-12-17 15:29:13 UTC (rev 1064)
@@ -5,10 +5,12 @@
     (Closes: #340835, #341514).
   * Add patch to fix build failure with __bind and other
     socket-related symbols being already defined on
-    sparc.  (Closes: #342755).
+    sparc (Closes: #342755).
   * Add patch from Anton Blanchard to fix build failure with
     __bind and other socket-related symbols being already
-    defined on powerpc.  (Closes: #343571).
+    defined on powerpc (Closes: #343571).
+  * Replace amd64 sem_trywait patch from Kurt Roeckx's NMU with
+    fix from upstream glibc CVS (Closes: #339389).
 
   [ Daniel Jacobowitz ]
   * Downgrade priority of amd64 libraries on i386.
@@ -16,6 +18,15 @@
 
  -- Daniel Jacobowitz <dan@debian.org>  Sun, 13 Nov 2005 00:10:20 -0500
 
+glibc (2.3.5-8.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Rename sem_trywait to __new_sem_trywait in amd64 nptl code
+    so the alias works properly, and it can be build.
+    (Closes: #339389)
+
+ -- Kurt Roeckx <kurt@roeckx.be>  Sun, 27 Nov 2005 11:22:03 +0100
+
 glibc (2.3.5-8) unstable; urgency=low
 
   * Add missing build dependency on libc6-dev-ppc64 on powerpc.

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-12-17 15:14:53 UTC (rev 1063)
+++ glibc-package/trunk/debian/patches/00list	2005-12-17 15:29:13 UTC (rev 1064)
@@ -92,3 +92,4 @@
 eh-frame-terminator
 sparc-socket-weakalias
 powerpc-socket-weakalias
+amd64-semtrywait-weakalias

Added: glibc-package/trunk/debian/patches/amd64-semtrywait-weakalias.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/amd64-semtrywait-weakalias.dpatch	2005-12-17 15:14:53 UTC (rev 1063)
+++ glibc-package/trunk/debian/patches/amd64-semtrywait-weakalias.dpatch	2005-12-17 15:29:13 UTC (rev 1064)
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Fix sem_trywait on amd64
+# DP: Related bugs: 
+# DP: Dpatch author: Clint Adams
+# DP: Patch author: Upstream CVS
+# DP: Upstream status: Committed
+# DP: Status Details:
+# DP: Date: 2005-12-16
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+
+--- nptl/sysdeps/unix/sysv/linux/x86_64/sem_trywait.S~	2003-05-10 16:37:38.000000000 -0400
++++ nptl/sysdeps/unix/sysv/linux/x86_64/sem_trywait.S	2005-10-24 16:50:36.000000000 -0400
+@@ -1,4 +1,4 @@
+-/* Copyright (C) 2002, 2003 Free Software Foundation, Inc.
++/* Copyright (C) 2002, 2003, 2005 Free Software Foundation, Inc.
+    This file is part of the GNU C Library.
+    Contributed by Ulrich Drepper <drepper@redhat.com>, 2002.
+ 
+@@ -56,4 +56,3 @@
+ 	orl	$-1, %eax
+ 	retq
+ 	.size	sem_trywait,.-sem_trywait
+-	versioned_symbol(libpthread, __new_sem_trywait, sem_trywait, GLIBC_2_1)


Property changes on: glibc-package/trunk/debian/patches/amd64-semtrywait-weakalias.dpatch
___________________________________________________________________
Name: svn:executable
   + *



Reply to: